Bug 884762 - Documentation Bug - The example printed in the manual does not match the expected result for the command in question
Summary: Documentation Bug - The example printed in the manual does not match the expe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Getting_Started_Guide
Version: 2.0 (Folsom)
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Bruce Reeler
QA Contact: Martin Pavlásek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 16:50 UTC by tkammer
Modified: 2014-10-30 22:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 06:58:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description tkammer 2012-12-06 16:50:57 UTC
Description of problem:
In the manual: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_OpenStack_Preview/2/html-single/Getting_Started_Guide/index.html
In Chapter 5. Cinder (Volume) - under the command 'keystone service-create --name=cinder --type=volume --description="Cinder Volume Service"' 
the example printed should be "name cinder" *not* "name nova".
Also: "type volume" *not* "type compute"

Actual results:
keystone service-create --name=cinder --type=volume --description="Cinder Volume Service"
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description | Cinder Volume Service            |
| id          | 94b6247ac66643a88af2185ad7738edf |
| name        | nova                             |
| type        | compute                          |
+-------------+----------------------------------+

Expected results:
keystone service-create --name=cinder --type=volume --description="Cinder Volume Service"
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description | Cinder Volume Service            |
| id          | 94b6247ac66643a88af2185ad7738edf |
| name        | cinder                           |
| type        | volume                           |
+-------------+----------------------------------+

Additional info:
Documentation bug

Comment 4 Martin Pavlásek 2013-03-26 08:58:54 UTC
The bug has been fixed via revision 1.0-3 (2012-12-07) of the document above.


Note You need to log in before you can comment on or make changes to this bug.